@import '../../assets/scss/colors';

$primary-color: mat-color($primary);
$accent-color: mat-color($accent);

:host {
  display: block;
  outline: none;

  .mat-list-item.active {
    background-color: rgba($primary-color, .8);
    color: #fff;
  }
  &:hover,
  &:focus {
    > .mat-list-item:not(.expanded) {
      background-color: rgba($accent-color, .6);
    }
  }
}

.mat-list-item {
  padding: 8px 8px 8px 0;

  .routeIcon {
    margin-right: 16px;
  }
}
